Package org.apache.naming

# Class EjbRef

java.lang.Object
javax.naming.Reference
org.apache.naming.AbstractRef
org.apache.naming.EjbRef

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class EjbRef extends AbstractRef
Represents a reference address to an EJB.

Author:
  Remy Maucherat
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_FACTORY`
Default factory for this reference.
`static final String`
`LINK`
Link address type.
`static final String`
`REMOTE`
Remote interface classname address type.
`static final String`
`TYPE`
EJB type address type.

### Fields inherited from class javax.naming.Reference

`addrs, classFactory, classFactoryLocation, className`

## Constructor Summary

Constructors
Constructor
Description
`EjbRef(String ejbType, String home, String remote, String link)`
EJB Reference.
`EjbRef(String ejbType, String home, String remote, String link, String factory, String factoryLocation)`
EJB Reference.

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getDefaultFactoryClassName()`

### Methods inherited from class org.apache.naming.AbstractRef

`getFactoryClassName, toString`

### Methods inherited from class javax.naming.Reference

`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_FACTORY

public static final String DEFAULT_FACTORY
Default factory for this reference.

See Also:
  - Constant Field Values

### TYPE

public static final String TYPE
EJB type address type.

See Also:
  - Constant Field Values

### REMOTE

public static final String REMOTE
Remote interface classname address type.

See Also:
  - Constant Field Values

### LINK

public static final String LINK
Link address type.

See Also:
  - Constant Field Values

## Constructor Details

### EjbRef

public EjbRef(String ejbType, String home, String remote, String link)
EJB Reference.

Parameters:
  `ejbType` - EJB type
  `home` - Home interface classname
  `remote` - Remote interface classname
  `link` - EJB link

### EjbRef

public EjbRef(String ejbType, String home, String remote, String link, String factory, String factoryLocation)
EJB Reference.

Parameters:
  `ejbType` - EJB type
  `home` - Home interface classname
  `remote` - Remote interface classname
  `link` - EJB link
  `factory` - The possibly null class name of the object's factory.
  `factoryLocation` - The possibly null location from which to load the factory (e.g. URL)

## Method Details

### getDefaultFactoryClassName

protected String getDefaultFactoryClassName()

Specified by:
  `getDefaultFactoryClassName` in class `AbstractRef`